org.firebirdsql.gds.ng.wire.auth.srp

## Class SrpClient

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.auth.srp.SrpClient

    public final class SrpClient
    extends java.lang.Object

SRP client handshake implementation.

Author:
  Hajime Nakagami, Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`SrpClient(java.lang.String clientProofHashAlgorithm)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigInteger` `getPrivateKey()`
`java.math.BigInteger` `getPublicKey()`
`byte[]` `getSessionKey()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SrpClient

    public SrpClient(java.lang.String clientProofHashAlgorithm)

### Method Detail

#### getPublicKey

    public java.math.BigInteger getPublicKey()

#### getPrivateKey

    public java.math.BigInteger getPrivateKey()

#### getSessionKey

    public byte[] getSessionKey()